# H323_RTPChannel Class Reference

`#include <channels.h>`

Inheritance diagram for H323_RTPChannel:

List of all members.

## Public Member Functions

Overrides from class H323Channel
virtual unsigned | GetSessionID () const
Overrides from class H323_RealTimeChannel
virtual PBoolean | OnSendingPDU (H245_H2250LogicalChannelParameters &param) const
virtual void | OnSendOpenAck (H245_H2250LogicalChannelAckParameters &param) const
virtual PBoolean | OnReceivedPDU (const H245_H2250LogicalChannelParameters &param, unsigned &errorCode)
virtual PBoolean | OnReceivedAckPDU (const H245_H2250LogicalChannelAckParameters &param)

## Protected Attributes

RTP_Session & | rtpSession
H323_RTP_Session & | rtpCallbacks

## Detailed Description

This class is for encpsulating the IETF Real Time Protocol interface.

## Constructor & Destructor Documentation

H323_RTPChannel::H323_RTPChannel | ( | H323Connection & | connection,
|  | const H323Capability & | capability,
|  | Directions | direction,
|  | RTP_Session & | rtp |
| ) |  |  |

Create a new channel.

Parameters:

  connection | Connection to endpoint for channel
  capability | Capability channel is using
  rtp | Direction of channel RTP session for channel

H323_RTPChannel::~H323_RTPChannel | ( |  | ) |

Destroy the channel.

H323_RTPChannel::H323_RTPChannel | ( | H323Connection & | connection,
|  | const H323Capability & | capability,
|  | Directions | direction,
|  | RTP_Session & | rtp |
| ) |  |  |

Create a new channel.

Parameters:

  connection | Connection to endpoint for channel
  capability | Capability channel is using
  rtp | Direction of channel RTP session for channel

H323_RTPChannel::~H323_RTPChannel | ( |  | ) |

Destroy the channel.

## Member Function Documentation

virtual unsigned H323_RTPChannel::GetSessionID | ( |  | ) | const`[virtual]`

Indicate the session number of the channel. Return session for channel. This returns the session ID of the RTP_Session member variable.

Reimplemented from H323Channel.

virtual PBoolean H323_RTPChannel::OnSendingPDU | ( | H245_H2250LogicalChannelParameters & | param | ) | const`[virtual]`

Fill out the OpenLogicalChannel PDU for the particular channel type.

Parameters:

  param | Open PDU to send.

Implements H323_RealTimeChannel.

virtual void H323_RTPChannel::OnSendOpenAck | ( | H245_H2250LogicalChannelAckParameters & | param | ) | const`[virtual]`

This is called when request to create a channel is received from a remote machine and is about to be acknowledged.

Parameters:

  param | Acknowledgement PDU

Implements H323_RealTimeChannel.

virtual PBoolean H323_RTPChannel::OnReceivedPDU | ( | const H245_H2250LogicalChannelParameters & | param,
|  | unsigned & | errorCode |
| ) |  |  | `[virtual]`

This is called after a request to create a channel occurs from the local machine via the H245LogicalChannelDict::Open() function, and the request has been acknowledged by the remote endpoint.

The default behaviour sets the remote ports to send UDP packets to.

Parameters:

  param | Acknowledgement PDU
  errorCode | Error on failure

Implements H323_RealTimeChannel.

virtual PBoolean H323_RTPChannel::OnReceivedAckPDU | ( | const H245_H2250LogicalChannelAckParameters & | param | ) | `[virtual]`

This is called after a request to create a channel occurs from the local machine via the H245LogicalChannelDict::Open() function, and the request has been acknowledged by the remote endpoint.

The default behaviour sets the remote ports to send UDP packets to.

Parameters:

  param | Acknowledgement PDU

Implements H323_RealTimeChannel.

## Member Data Documentation

RTP_Session& H323_RTPChannel::rtpSession `[protected]`

H323_RTP_Session& H323_RTPChannel::rtpCallbacks `[protected]`

The documentation for this class was generated from the following file:

- channels.h